%define		source_name gmpc-coveramazon
Summary:	Amazon provider plugin for Gnome Music Player Client
Summary(pl.UTF-8):	Wtyczka udostępniająca dane z Amazona dla odtwarzacza Gnome Music Player Client
Name:		gmpc-plugin-amazon-provider
Version:	0.18.100
Release:	2
License:	GPL
Group:		X11/Applications/Sound
Source0:	http://dl.sourceforge.net/musicpd/%{source_name}-%{version}.tar.gz
# Source0-md5:	e931181300503930df03d22a64e3ae91
URL:		http://gmpc.wikia.com/wiki/GMPC_PLUGIN_COVERAMAZON
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gmpc-devel >= 0.18.100
BuildRequires:	gtk+2-devel >= 2:2.4
BuildRequires:	intltool
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This plugin fetches cover art, and album information from Amazon.

%description -l pl.UTF-8
Ta wtyczka pobiera okładkę oraz informacje o albumie z Amazona.

%prep
%setup -q -n %{source_name}-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}

%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/gmpc

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_libdir}/gmpc/plugins/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gmpc/plugins/*.so
%changelog
* Sat Jul 12 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gmpc-plugin-amazon-provider.git;a=log;h=master

* Sat Jul 12 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> db53b09
- Release 2 (by relup.sh)

* Sun Sep 20 2009 Karol Krenski <charles@pld-linux.org> 3c4adbd
- updated BRs

* Sun Sep 13 2009 Artur Frysiak <artur@frysiak.net> de63d99
- updated to 0.18.100

* Sat Mar 28 2009 Artur Frysiak <artur@frysiak.net> 093e19a
- updated to 0.18.0

* Mon Jan 05 2009 Jakub Bogusz <qboosh@pld-linux.org> 73bef7c
- outdated

* Sun Dec 28 2008 Artur Frysiak <artur@frysiak.net> 61d1182
- 0.17.0

* Sun Dec 21 2008 Artur Frysiak <artur@frysiak.net> 1677d83
- updated to 0.16.96

* Mon Feb 04 2008 Jakub Bogusz <qboosh@pld-linux.org> 5e15323
- use valid Source0 URL

* Mon Feb 04 2008 Jakub Bogusz <qboosh@pld-linux.org> f6f0a00
- restored and completed needed BRs, removed unneeded
- sanitized URL

* Mon Feb 04 2008 czarny <czarny@pld-linux.org> 590d0a4
- BR typos

* Mon Feb 04 2008 czarny <czarny@pld-linux.org> 0d81121
- proper d/l URL

* Mon Feb 04 2008 czarny <czarny@pld-linux.org> 2d5a135
- up to 0.15.5.0

* Sun May 20 2007 Artur Frysiak <artur@frysiak.net> 089e01f
- updated to 0.15.0

* Mon Feb 19 2007 Artur Frysiak <artur@frysiak.net> 10c1fb0
- updated to 0.14.0

* Mon Feb 19 2007 Artur Frysiak <artur@frysiak.net> e64551c
- outdated

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 4a0de71
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8036104
- converted to UTF-8

* Tue Dec 19 2006 Jakub Bogusz <qboosh@pld-linux.org> b3f487f
- pl, cleanup

* Sun Dec 17 2006 Artur Frysiak <artur@frysiak.net> 7e985e1
- corect md5 hash

* Sun Dec 17 2006 Artur Frysiak <artur@frysiak.net> 1236397
- fix curl detection

